AWS IoT Device SDK C++ v2: Aws::Iotidentity::CreateCertificateFromCsrResponse Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotidentity::CreateCertificateFromCsrResponse Class Referencefinal

`#include <CreateCertificateFromCsrResponse.h>`

## Public Member Functions
| CreateCertificateFromCsrResponse ()=default
| CreateCertificateFromCsrResponse (const Crt::JsonView &doc)
CreateCertificateFromCsrResponse & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Crt::String > | CertificateId
Aws::Crt::Optional< Aws::Crt::String > | CertificateOwnershipToken
Aws::Crt::Optional< Aws::Crt::String > | CertificatePem

## Detailed Description

Response payload to a CreateCertificateFromCsr request.

## Constructor & Destructor Documentation

## ◆ CreateCertificateFromCsrResponse() [1/2]

Aws::Iotidentity::CreateCertificateFromCsrResponse::CreateCertificateFromCsrResponse | ( |  | ) |
| default

## ◆ CreateCertificateFromCsrResponse() [2/2]

Aws::Iotidentity::CreateCertificateFromCsrResponse::CreateCertificateFromCsrResponse | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

CreateCertificateFromCsrResponse & Aws::Iotidentity::CreateCertificateFromCsrResponse::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotidentity::CreateCertificateFromCsrResponse::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ CertificateId

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotidentity::CreateCertificateFromCsrResponse::CertificateId

The ID of the certificate.

## ◆ CertificateOwnershipToken

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotidentity::CreateCertificateFromCsrResponse::CertificateOwnershipToken

The token to prove ownership of the certificate during provisioning.

## ◆ CertificatePem

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotidentity::CreateCertificateFromCsrResponse::CertificatePem

The certificate data, in PEM format.

The documentation for this class was generated from the following files:

- identity/include/aws/iotidentity/CreateCertificateFromCsrResponse.h
- identity/source/CreateCertificateFromCsrResponse.cpp